Package org.jbpm.executor.impl.jpa

## Class ExecutorQueryServiceImpl

- java.lang.Object
- - org.jbpm.executor.impl.jpa.ExecutorQueryServiceImpl

- All Implemented Interfaces:
    `org.kie.api.executor.ExecutorQueryService`, `org.kie.internal.executor.api.ExecutorQueryService`

      public class ExecutorQueryServiceImpl
      extends Object
      implements org.kie.internal.executor.api.ExecutorQueryService

  Default implementation of `ExecutorQueryService` that is backed with JPA IMPORTANT: please keep all classes from package org.jbpm.shared.services.impl as FQCN inside method body to avoid exception logged by CDI when used with in memory mode

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ExecutorQueryServiceImpl​(boolean active)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected List<org.kie.api.executor.STATUS>` | `adjust​(List<org.kie.api.executor.STATUS> statuses)` |
    `protected void` | `applyQueryContext​(Map<String,​Object> params, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.ErrorInfo>` | `getAllErrors()`
    `List<org.kie.api.executor.ErrorInfo>` | `getAllErrors​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getAllRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getAllRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getCancelledRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getCancelledRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getCompletedRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getCompletedRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `protected List<String>` | `getDeploymentIds()` |
    `List<org.kie.api.executor.ErrorInfo>` | `getErrorsByRequestId​(Long requestId)`
    `List<org.kie.api.executor.RequestInfo>` | `getFutureQueuedRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getFutureQueuedRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getInErrorRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getInErrorRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getPendingRequestById​(Long id)`
    `List<org.kie.api.executor.RequestInfo>` | `getPendingRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getPendingRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getQueuedRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getQueuedRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestByBusinessKey​(String businessKey, org.kie.api.runtime.query.QueryContext queryContext)`
    `List<org.kie.api.executor.RequestInfo>` | `getRequestByCommand​(String command, org.kie.api.runtime.query.QueryContext queryContext)`
    `org.kie.api.executor.RequestInfo` | `getRequestById​(Long id)`
    `org.kie.api.executor.RequestInfo` | `getRequestForProcessing()`
    `org.kie.api.executor.RequestInfo` | `getRequestForProcessing​(Long requestId)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByBusinessKey​(String businessKey, List<org.kie.api.executor.STATUS> statuses, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByCommand​(String command, List<org.kie.api.executor.STATUS> statuses, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByDeployment​(String deploymentId, List<org.kie.api.executor.STATUS> statuses, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByProcessInstance​(Long processInstanceId, List<org.kie.api.executor.STATUS> statuses, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByStatus​(List<org.kie.api.executor.STATUS> statuses)`
    `List<org.kie.api.executor.RequestInfo>` | `getRequestsByStatus​(List<org.kie.api.executor.STATUS> statuses, org.kie.api.runtime.query.QueryContext queryContext)` |
    `List<org.kie.api.executor.RequestInfo>` | `getRunningRequests()`
    `List<org.kie.api.executor.RequestInfo>` | `getRunningRequests​(org.kie.api.runtime.query.QueryContext queryContext)` |
    `void` | `setCommandService​(org.kie.api.runtime.CommandExecutor commandService)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExecutorQueryServiceImpl

          public ExecutorQueryServiceImpl​(boolean active)

  - ### Method Detail

    - #### setCommandService

          public void setCommandService​(org.kie.api.runtime.CommandExecutor commandService)

    - #### getPendingRequests

          public List<org.kie.api.executor.RequestInfo> getPendingRequests()

      Specified by:
        `getPendingRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getPendingRequestById

          public List<org.kie.api.executor.RequestInfo> getPendingRequestById​(Long id)

      Specified by:
        `getPendingRequestById` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestById

          public org.kie.api.executor.RequestInfo getRequestById​(Long id)

      Specified by:
        `getRequestById` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRunningRequests

          public List<org.kie.api.executor.RequestInfo> getRunningRequests()

      Specified by:
        `getRunningRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getQueuedRequests

          public List<org.kie.api.executor.RequestInfo> getQueuedRequests()

      Specified by:
        `getQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getFutureQueuedRequests

          public List<org.kie.api.executor.RequestInfo> getFutureQueuedRequests()

      Specified by:
        `getFutureQueuedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getCompletedRequests

          public List<org.kie.api.executor.RequestInfo> getCompletedRequests()

      Specified by:
        `getCompletedRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getInErrorRequests

          public List<org.kie.api.executor.RequestInfo> getInErrorRequests()

      Specified by:
        `getInErrorRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getCancelledRequests

          public List<org.kie.api.executor.RequestInfo> getCancelledRequests()

      Specified by:
        `getCancelledRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getAllErrors

          public List<org.kie.api.executor.ErrorInfo> getAllErrors()

      Specified by:
        `getAllErrors` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getErrorsByRequestId

          public List<org.kie.api.executor.ErrorInfo> getErrorsByRequestId​(Long requestId)

      Specified by:
        `getErrorsByRequestId` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getAllRequests

          public List<org.kie.api.executor.RequestInfo> getAllRequests()

      Specified by:
        `getAllRequests` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getRequestsByStatus

          public List<org.kie.api.executor.RequestInfo> getRequestsByStatus​(List<org.kie.api.executor.STATUS> statuses)

      Specified by:
        `getRequestsByStatus` in interface `org.kie.internal.executor.api.ExecutorQueryService`

    - #### getRequestByBusinessKey

          public List<org.kie.api.executor.RequestInfo> getRequestByBusinessKey​(String businessKey,
                                                                                org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestByBusinessKey` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestByCommand

          public List<org.kie.api.executor.RequestInfo> getRequestByCommand​(String command,
                                                                            org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestByCommand` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestForProcessing

          public org.kie.api.executor.RequestInfo getRequestForProcessing()

      Specified by:
        `getRequestForProcessing` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestForProcessing

          public org.kie.api.executor.RequestInfo getRequestForProcessing​(Long requestId)

      Specified by:
        `getRequestForProcessing` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getQueuedRequests

          public List<org.kie.api.executor.RequestInfo> getQueuedRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getQueuedRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getCompletedRequests

          public List<org.kie.api.executor.RequestInfo> getCompletedRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getCompletedRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getInErrorRequests

          public List<org.kie.api.executor.RequestInfo> getInErrorRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getInErrorRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getCancelledRequests

          public List<org.kie.api.executor.RequestInfo> getCancelledRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getCancelledRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getAllErrors

          public List<org.kie.api.executor.ErrorInfo> getAllErrors​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getAllErrors` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getAllRequests

          public List<org.kie.api.executor.RequestInfo> getAllRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getAllRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRunningRequests

          public List<org.kie.api.executor.RequestInfo> getRunningRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRunningRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getFutureQueuedRequests

          public List<org.kie.api.executor.RequestInfo> getFutureQueuedRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getFutureQueuedRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestsByStatus

          public List<org.kie.api.executor.RequestInfo> getRequestsByStatus​(List<org.kie.api.executor.STATUS> statuses,
                                                                            org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestsByStatus` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getPendingRequests

          public List<org.kie.api.executor.RequestInfo> getPendingRequests​(org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getPendingRequests` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### applyQueryContext

          protected void applyQueryContext​(Map<String,​Object> params,
                                           org.kie.api.runtime.query.QueryContext queryContext)

    - #### getRequestsByBusinessKey

          public List<org.kie.api.executor.RequestInfo> getRequestsByBusinessKey​(String businessKey,
                                                                                 List<org.kie.api.executor.STATUS> statuses,
                                                                                 org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestsByBusinessKey` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestsByCommand

          public List<org.kie.api.executor.RequestInfo> getRequestsByCommand​(String command,
                                                                             List<org.kie.api.executor.STATUS> statuses,
                                                                             org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestsByCommand` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestsByDeployment

          public List<org.kie.api.executor.RequestInfo> getRequestsByDeployment​(String deploymentId,
                                                                                List<org.kie.api.executor.STATUS> statuses,
                                                                                org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestsByDeployment` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### getRequestsByProcessInstance

          public List<org.kie.api.executor.RequestInfo> getRequestsByProcessInstance​(Long processInstanceId,
                                                                                     List<org.kie.api.executor.STATUS> statuses,
                                                                                     org.kie.api.runtime.query.QueryContext queryContext)

      Specified by:
        `getRequestsByProcessInstance` in interface `org.kie.api.executor.ExecutorQueryService`

    - #### adjust

          protected List<org.kie.api.executor.STATUS> adjust​(List<org.kie.api.executor.STATUS> statuses)

    - #### getDeploymentIds

          protected List<String> getDeploymentIds()